commit:     ad2985a1e9c633daa6162e4be1a55669d2b8e4ad
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 13 20:50:46 2021 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Jun 13 20:53:48 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad2985a1

dev-libs/leatherman: 1.12.5 bump

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-libs/leatherman/Manifest                 |  1 +
 dev-libs/leatherman/leatherman-1.12.5.ebuild | 61 ++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-libs/leatherman/Manifest b/dev-libs/leatherman/Manifest
index 0e2857d871b..03859e6c7da 100644
--- a/dev-libs/leatherman/Manifest
+++ b/dev-libs/leatherman/Manifest
@@ -1,2 +1,3 @@
 DIST leatherman-1.12.2.tar.gz 816010 BLAKE2B 
4b7b00b88ef0ba5cb01405aa24fd5ff72918a122cc8a1c0a029e374152964f77afa29a1f503ed5863a39bd13aa808dba2a0b351f65756e97c8e2e8408358cbfc
 SHA512 
9be8333b616bd9772f234474ae874c7214fa0c1bc4658ff042233d6e1683cc61b63d666d750297c79a8058490e42c8b2ff8999cb7f04aa329644f52540e43bde
 DIST leatherman-1.12.4.tar.gz 818043 BLAKE2B 
7a8718d598bf48b70d555d2a21e2e930eba6b3407ad5414b43d30411acf4c9bf4193ad20058b63d3c8911b7c5b0d021f84d6eca6dd3d00165c7d145186f8177f
 SHA512 
b2645a5049856f93c30bb89e87e3a47cf8137aeac73708248b2b228874818063fb31440ca2bd760783e8c95e880fe7ae34a387fcc448efee01dd0cda48089b55
+DIST leatherman-1.12.5.tar.gz 818066 BLAKE2B 
9d30fb224d3f4389f398294712dc85af782eeff877dd0a214fc60ee67d4a70467c1d32255cf8814f0cfc5428c660a315c24a9becdb1aa05f4d5c43ede8552af7
 SHA512 
dad1ee67f98a4cd12d9c6f022ae2b8c748e4c081918744030191d7c33f84983691f6bcfba3ddf5c0e5b4c36109ebd757325d6e42d88c74caaff942e6603d333e

diff --git a/dev-libs/leatherman/leatherman-1.12.5.ebuild 
b/dev-libs/leatherman/leatherman-1.12.5.ebuild
new file mode 100644
index 00000000000..7f68e10d0d2
--- /dev/null
+++ b/dev-libs/leatherman/leatherman-1.12.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils
+
+DESCRIPTION="A C++ toolkit"
+HOMEPAGE="https://github.com/puppetlabs/leatherman";
+SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+IUSE="debug static-libs test"
+#RESTRICT="!test? ( test )"
+RESTRICT="test"  # restricted til we don't need the shared_nowide patch
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0/${PV}"
+
+RDEPEND="net-misc/curl"
+DEPEND=">=dev-libs/boost-1.73:=[nls]
+       net-misc/curl
+       >=sys-devel/gcc-4.8:*"
+
+PATCHES=( "${FILESDIR}"/portage-sandbox-test-fix.patch )
+PATCHES+=( "${FILESDIR}"/1.12.2-shared_nowide.patch )
+
+src_prepare() {
+       sed -i 's/\-Werror\ //g' "cmake/cflags.cmake" || die
+       # vendored boost lib conflicts with boost 1.73 and above
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_VERBOSE_MAKEFILE=ON
+               -DCMAKE_BUILD_TYPE=None
+       )
+       if ! use static-libs; then
+               mycmakeargs+=(
+                       -DLEATHERMAN_SHARED=ON
+               )
+       else
+               mycmakeargs+=(
+                       -DLEATHERMAN_SHARED=OFF
+               )
+       fi
+       if use debug; then
+               mycmakeargs+=(
+                 -DCMAKE_BUILD_TYPE=Debug
+               )
+       fi
+       cmake-utils_src_configure
+}
+
+src_test() {
+       "${WORKDIR}/${P}"_build/bin/leatherman_test
+}
+
+src_install() {
+       cmake-utils_src_install
+}

Reply via email to